Bug 33309 - [performance] Elevator starvation (regression relative to recent 2.2)
[performance] Elevator starvation (regression relative to recent 2.2)
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.1
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Michael K. Johnson
Brock Organ
:
: 42355 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-03-26 19:14 EST by Ed McKenzie
Modified: 2007-04-18 12:32 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-07-03 09:12:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ed McKenzie 2001-03-26 19:14:34 EST
Large dd operations under 2.4.* cause the system to become almost totally
unusable (e.g. netscape takes several minutes to load, ls -lR is extremely
slow, etc.) I don't think this is a VM issue, as vmstat shows minimal swap
activity.

Disk starvation is not absolute, as it was prior to 2.2.16, but it's pretty
bad, and this is an easy DoS that works as any user. I'd consider this a
security issue since it's really difficult for root to intervene locally or
remotely; of course, on 2.4, dd can also create really big files.
Comment 1 Stephen Tweedie 2001-03-27 12:29:14 EST
It's not an elevator bug: I'm pretty sure that this is a VM balancing bug, and
yes, it's easily reproducible and obviously needs fixing.
Comment 2 Ed McKenzie 2001-04-07 16:56:33 EDT
2.4.2-0.1.49 is *much* better overall, but I can still effectively starve the
entire system of disk access with a large dd operation. I can't do this on 2.2;
even with a dd running, ls -lR in the same directory runs, albeit in spurts. The
same test under 2.4 results in ls not doing very much.
Comment 3 Ed McKenzie 2001-05-20 15:05:57 EDT
Followup: it's not just an IDE issue. I also see disk starvation under 2.4.2-2
on an all-SCSI setup.
Comment 4 Arjan van de Ven 2001-05-20 15:14:58 EDT
2 questions: 
1) could you tru 2.4.3-5 from rawhide
2) could you use elvtune to change the defaults of the elevator ?
   (or use a recent snapshot of powertweak (www.powertweak.org) for that)
Comment 5 Ed McKenzie 2001-05-21 02:12:00 EDT
2.4.3-5 seems no different wrt the elevator, and it seems to have other issues
as well.

What are suggested fair, low-latency values for elvtune?  I couldn't improve
things beyond "slightly less starvation..."
Comment 6 Ed McKenzie 2001-06-11 14:10:11 EDT
Upgrading to 2.4.5-0.2.9 didn't improve I/O fairness.
Comment 7 Ed McKenzie 2001-07-01 02:21:36 EDT
2.4.3-12 also appears to be broken.
Comment 8 Ed McKenzie 2001-07-03 09:12:13 EDT
2.4.5-10 is also broken wrt dd usage.  However, interactivity is somewhat 
better when operating on large tarballs than earlier RH kernels.
Comment 9 Ed McKenzie 2001-09-01 11:09:36 EDT
Performance seems to be subjectively better in recent (2.4.7, 2.4.8-ac) kernels.
Comment 10 Need Real Name 2001-09-14 16:11:33 EDT
*** Bug 42355 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.